## ceph 12.2.12

=== debian/changelog ===
ceph (12.2.12-0ubuntu0.17.10.1~cloud0) xenial; urgency=medium

  * New upstream release (LP: #1829716).
  * d/p/s390x-link.patch: Drop, included upstream.
  * d/copyright: Exclude cruft from upstream tarballs.

 -- James Page <james.page@ubuntu.com>  Thu, 13 Jun 2019 11:12:03 +0100

ceph (12.2.11-0ubuntu0.17.10.1~cloud0) xenial; urgency=medium

  * New upstream stable release (LP: #1813807).
  * d/p/misc-32-bit-fixes.patch: Misc fixes for 32bit FTBFS.
  * d/p/s390x-link.patch: Fix linking in s390x.
  * d/control: Include ca-patches ceph patch for Xenial backporting.

 -- James Page <james.page@ubuntu.com>  Mon, 20 May 2019 09:08:33 +0200

ceph (12.2.4-0ubuntu0.17.10.1) artful; urgency=medium

  * New upstream stable release (LP: #1750826):
    - d/rules,control: Switch to using vendored boost as 1.66 is required.
    - d/rules: Switch to using WITH_BOOST_CONTEXT for rgw beast frontend
      enablement.
  * d/ceph-osd.install: Add ceph-volume tools (LP: #1750376).
  * d/control: Add python-jinja2 to Depends of ceph-mgr (LP: #1752308).
  * d/ceph*.prerm: Drop, no longer needed as only use for removed upstart
    and init.d methods of managing ceph daemons (LP: #1754585).

 -- James Page <james.page@ubuntu.com>  Wed, 28 Mar 2018 08:06:32 +0100
